### Function

# GLib List first

#### Declaration

    GList*
    g_list_first (
      GList* list
    )

#### Description

Gets the first element in a `GList`.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  Any `GList` element.

  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The first element in the `GList`, or `NULL` if the `GList` has no elements.

The data is owned by the called function.